WooCommerce
				WooCommerce validering af CVR
		Valider CVR numre på dine kunder på WooCommerce checkout eller på custom felter i WordPress.

WooCommerce

WooCommerce validering af CVR

Valider CVR numre på dine kunder på WooCommerce checkout eller på custom felter i WordPress.

Med WooCommerce validering af CVR i checkout vil alle CVR numre automatisk blive valideret så kunderne ikke kan indtaste et ugyldigt CVR nummer.

Virker også med internationale CVR/VAT numre da alle CVR/VAT numre kontrolleres op i mod VIES Databasen!

Validering af CVR-nummer i WooCommerce

Du opsætter det nemt via “Udseende > Tilpas > WooCommerce > Validering af CVR”. Her kan du også tilføje ekstra felter som skal valideres samt vælge at få tilføjet CVR nummer felt gennem plugin’et.

Installation / Setup

For at komme igang skal du blot aktivere det købte plugin og indtaste den licens du modtager i forbindelse med dit køb. Licens indsættes under “Udseende > Tilpas > WooCommerce > Validering af CVR” hvor de øvrige indstillinger til plugin’et også findes.

Krav

  • WordPress Version 4.9.x eller nyere
  • WooCommerce Version 3.2.x eller nyere

WooCommerce validering af CVR i checkout (roadmap)

Alt starter et sted – hvor syntes i vi skal hen? – Skriv til os på support@rommel.dk hvis i har nogle forslag til forbedringer/udvidelser.

Tilpasning af plugin’et via PHP filtre

Brug dette kodestykke hvis du eksempelvis har brug for CVR validering på alle sider som eksempelvis et nyhedsbrev eller anden formular. Bemærk: supporterer ikke felter loaded ind via Ajax.

add_filter('r_wc_validate_vat_number_enable', function() {
return true;
});

Tilføj flere felter (selectors som skal valideres

Det er muligt at tilføje flere felter som skal valideres. For at validere flere felter skal du sikre dig at du har ovenstående kode snippet aktiveret således at plugin’et indlæser den fornødne JavaScript. For at tilføje flere selectors (som er på de input felter du ønsker valideret) kan du bruge dette kode eksempel:

add_filter('r_wc_validate_vat_number_inputSelectors', function( $selectors ) {
return array_merge($selectors, [
'.this-class-should-be-validated',
'#thisIdShouldBeValidated'
]);});

= 1.0.0 (10/06-21) =
* Added plugin.

Kontakt

  • Dette felt er til validering og bør ikke ændres.